Apache log4cxx Version @version@

Classes | Namespaces | Macros | Typedefs
synchronized.h File Reference

## Classes
class | synchronized
| utility class for objects multi-thread synchronization. More...

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.

## Macros
#define | LOCK_R synchronized
#define | LOCK_W synchronized

## Typedefs
typedef struct apr_thread_mutex_t | apr_thread_mutex_t

## Macro Definition Documentation

## ◆ LOCK_R

#define LOCK_R synchronized

## ◆ LOCK_W

#define LOCK_W synchronized

## Typedef Documentation

## ◆ apr_thread_mutex_t

typedef struct apr_thread_mutex_t apr_thread_mutex_t